platform_device_add_data
Prev | Device Drivers Base | Next

## Name

platform_device_add_data —

## Synopsis

`int platform_device_add_data (` | struct platform_device * | pdev,
| const void * | data,
| size_t | size`)`;

## Arguments

`pdev`

  platform device allocated by platform_device_alloc to add resources to

`data`

  platform specific data for this platform device

`size`

  size of platform specific data

## Description

Add a copy of platform specific data to the platform device's platform_data pointer. The memory associated with the platform data will be freed when the platform device is released.

Prev | Up | Next
platform_device_add_resources | Home | platform_device_add